Get A3 instrument catalog
A3/ROFEX instrument details describing the available instruments.
GET
/v1/market-data/a3/static-dataRequest
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Access token in Bearer ACCESS_TOKEN format |
Not applicable: Path Parameters, Query Parameters, Body.
Response
2XX Success
Status: 200 — Instrument details retrieved successfully
Returns an object with these fields:
| Field | Type | Description |
|---|---|---|
status | string | — |
instruments | array of object | See instruments fields. |
instruments fields
| Field | Type | Description |
|---|---|---|
symbol | string | — |
segment | object | See instruments.segment fields. |
lowLimitPrice | number | — |
highLimitPrice | number | — |
minPriceIncrement | number | — |
minTradeVol | number | — |
maxTradeVol | number | — |
tickSize | number | — |
contractMultiplier | number | — |
roundLot | number | — |
priceConvertionFactor | number | — |
maturityDate | string | — |
currency | string | — |
orderTypes | array of string | — |
timesInForce | array of string | — |
securityType | string | — |
settlType | string | — |
instrumentPricePrecision | integer | — |
instrumentSizePrecision | integer | — |
securityId | string | — |
securityIdSource | string | — |
securityDescription | string | — |
tickPriceRanges | map of object | — |
strike | number | — |
underlying | string | — |
cficode | string | — |
instrumentId | object | See instruments.instrumentId fields. |
instruments.segment fields
| Field | Type |
|---|---|
marketSegmentId | string |
marketId | string |
instruments.instrumentId fields
| Field | Type |
|---|---|
marketId | string |
symbol | string |
Error Codes
| Status | Description |
|---|---|
401 | Missing or invalid authentication |
403 | Caller lacks the required role |
500 | Unexpected server error |
Code Example
- cURL
- JavaScript
- Python
- Node.js
curl -X GET "https://b2b.allaria.dev/v1/market-data/a3/static-data" \
-H "Authorization: Bearer ACCESS_TOKEN"
const response = await fetch('https://b2b.allaria.dev/v1/market-data/a3/static-data', {
method: 'GET',
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' },
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://b2b.allaria.dev/v1/market-data/a3/static-data',
headers={ 'Authorization': 'Bearer ACCESS_TOKEN' },
)
print(response.json())
const axios = require('axios');
const response = await axios.get('https://b2b.allaria.dev/v1/market-data/a3/static-data', {
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' },
});
console.log(response.data);
2XX Success
{
"status": "string",
"instruments": [
{
"symbol": "string",
"segment": {
"marketSegmentId": "string",
"marketId": "string"
},
"lowLimitPrice": 0,
"highLimitPrice": 0,
"minPriceIncrement": 0,
"minTradeVol": 0,
"maxTradeVol": 0,
"tickSize": 0,
"contractMultiplier": 0,
"roundLot": 0,
"priceConvertionFactor": 0,
"maturityDate": "string",
"currency": "string",
"orderTypes": [
"string"
],
"timesInForce": [
"string"
],
"securityType": "string",
"settlType": "string",
"instrumentPricePrecision": 0,
"instrumentSizePrecision": 0,
"securityId": "string",
"securityIdSource": "string",
"securityDescription": "string",
"tickPriceRanges": {},
"strike": 0,
"underlying": "string",
"cficode": "string",
"instrumentId": {
"marketId": "string",
"symbol": "string"
}
}
]
}